Post Message
curl --request POST \
--url https://api.vellaro.io/api/v1/chat/conversations/{conv_id}/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.vellaro.io/api/v1/chat/conversations/{conv_id}/message"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.vellaro.io/api/v1/chat/conversations/{conv_id}/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}chat
Post Message
Send a message and stream the assistant response via SSE.
Event stream shape:
event: text data: {"text": "..."}
event: tool_start data: {"name": "search_products", "input": {...}}
event: tool_result data: {"name": "...", "output": {...}}
event: refusal data: {"text": "...", "label": "off_topic"}
event: complete data: {"message_id": "...", "meta": {...}}
event: error data: {"detail": "..."}
POST
/
api
/
v1
/
chat
/
conversations
/
{conv_id}
/
message
Post Message
⌘I